<?php

use Drupal\Tests\BrowserTestBase;

/**
 * Test to ensure that main page loads,
 * JSON API end-point works with menu items &
 * jsonapi recipes endpoint is enabled.
 *
 * @group pantheon_decoupled_umami_demo
 */
class PantheonDecoupledUmamiDemoTest extends BrowserTestBase {
	/**
	 * Default profile to use.
	 *
	 * @var string
	 */
	protected $profile = 'pantheon_decoupled_umami_demo';

	public function testDecoupledUmamiDemoInstall() {
		// Test if front page loads with some example nodes.
		$this->drupalGet('<front>');
		$this->assertSession()->statusCodeEquals(200);
		$this->assertSession()->responseContains('Deep mediterranean quiche');
		$this->assertSession()->responseContains('Vegan chocolate and nut brownies');

		// Test if JSON API endpoint is enabled.
		$this->drupalGet('/jsonapi');
		$this->assertSession()->statusCodeEquals(200);

		// Test if Menu items are available via json:api.
		$this->drupalGet('/jsonapi/menu_items/main');
		$this->assertSession()->statusCodeEquals(200);

		// Test if recipes endpoint is enabled.
		$this->drupalGet('/jsonapi/node/recipe');
		$this->assertSession()->statusCodeEquals(200);
	}
}